declare @uid as varchar(500)
declare @reporte as  int
declare @reportecodigo as varchar(500)
declare @guifuncionalidad as int
declare @detallescontrato as varchar(500)
declare @reportecategoria as varchar(500)
declare @categoria as int
declare @origendato as varchar(500)
declare @opcionreporte as varchar(500)
declare @idreporte as varchar(500)
set @uid =(select uid from seg_usuario where id=1)
set @guifuncionalidad = (select id from gui_funcionalidad where id_funcionalidad=1 and  id_tipofuncionalidad=7 and nombrecomando='i')
set @categoria=(select id from rep_categoria where categoria like '%ordenes de trabajo' and id_categoria=(select id from rep_categoria where categoria like'%indicadores'))

--rep_réporte
if not exists(select *from rep_reporte where reporte_codigo='ind_motivoReprogramacion' and id_funcionalidad=@guifuncionalidad )
begin
insert into rep_reporte (uid, eid, reporte, reporte_codigo,id_funcionalidad, esformato, tienegraficos)
values (@uid,'01','Motivos Reprogramacion','ind_motivoReprogramacion',@guifuncionalidad,0,1)
end
set @reporte=(select id from rep_reporte where reporte_codigo ='ind_motivoReprogramacion' and id_funcionalidad= @guifuncionalidad ) 



--rep_reporte_categoria
if not exists (select *from rep_reporte_categoria where id_reporte =@reporte and id_categoria =@categoria )
begin 
insert into rep_reporte_categoria (uid,eid,reporte_categoria,id_reporte,id_categoria) 
values (@uid,'01','OTT',@reporte,@categoria)
end



--rep_campoReporte
if not exists(select* from rep_campoReporte where tabla='ter_tercero' and id_reporte= @reporte and id_tipoCampoReporte= 4 )
begin 
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal)
 Values (@uid,'01','tercero',@reporte,4,'ter_tercero','',1,0,'',1)
end

if not exists(select* from rep_campoReporte where tabla='ort_programacion' and id_reporte= @reporte and id_tipoCampoReporte= 3 )
begin 
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','fecha_fh',@reporte,3,'ort_programacion','',1,0,'',1)
end

if not exists(select* from rep_campoReporte where tabla='ter_sucursal' and id_reporte= @reporte and id_tipoCampoReporte= 4 )
begin 
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','sucursal',@reporte,4,'ter_sucursal','',1,0,'',1)
end

if not exists(select* from rep_campoReporte where tabla='gen_tipoServicio' and id_reporte= @reporte and id_tipoCampoReporte= 4 )
begin 
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','tiposervicio',@reporte,4,'gen_tipoServicio','',1,0,'',1)
end

if not exists(select* from rep_campoReporte where tabla='ort_departamentoSolicitud' and id_reporte= @reporte and id_tipoCampoReporte= 4 )
begin 
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','departamentoSolicitud',@reporte,4,'ort_departamentoSolicitud','',1,0,'',1)

end

if not exists(select* from rep_campoReporte where tabla='doc_subtipoDocumento' and id_reporte= @reporte and id_tipoCampoReporte= 4 )
begin 
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','subtipoDocumento',@reporte,4,'doc_subtipoDocumento','',1,0,'',1)
end

if not exists(select* from rep_campoReporte where tabla='doc_estadoTipoDocumento' and id_reporte= @reporte and id_tipoCampoReporte= 4 )
begin 
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','estadoTipodocumento',@reporte,4,'doc_estadoTipoDocumento','',1,0,'',1)
end

if not exists(select* from rep_campoReporte where tabla='doc_documento.ot' and id_reporte= @reporte and id_tipoCampoReporte= 4 )
begin 
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','id',@reporte,4,'doc_documento.ot','',1,0,'',1)
end

--rep_indicador
if not exists(select *from rep_indicador where id_reporte= @reporte and indicador_codigo='2_Número' )
begin
insert into rep_indicador (uid,eid,indicador,id_reporte,titulo,descripcion,cabecera,indicador_codigo) 
Values (@uid,'01','Motivos de Reprogramacion',@reporte,'Motivos de Reprogramacion','Numero de veces reprogramados por cada uno de los motivos existentes','Motivos Reprogramacion','2_Número')
end



